QGIS Application - Bug report #13104

Vector:Geometry Tools:Simplify geometry - 'OK’ button stays disabled

2015-07-10 02:16 AM - Casper Bargesen

Status: Closed

Priority: Normal
Assignee:

Category: Processing/QGIS

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?:

Easy fix?:

Resolution: fixed/implemented
Copied to github as #: 21169

Description

I'll describe this step by step.

1. I want to simplify the geometries in a vector layer (ESRI Shape).
2. | click Vector:Geometry Tools:Simplify Geometries...
3. | select the vector layer in the drop down.
4. Without setting anything else | click OK.
- QGIS responds with a message box:

"Currently QGIS doesn't allow simultaneous access from different threads to the same datasource. Make sure your layer's attribute

tables are close. Continue?"
5. I click the No button.
6. | check the "Save to new file" and select my new output file.

7. The state of the OK button is still disabled even though | have provided a valid output.

The same happens when | select an output in step 4, but the file | selected was locked by another program in which case QGIS

complains. | then select a valid output instead but the OK button stays disabled.

Associated revisions

Revision 3d44e1f5 - 2016-01-13 06:26 PM - Alexander Bruy

[fTools] enable OK button when error occurs (fix #13104)

History

#1 - 2015-07-31 09:07 AM - Giovanni Manghi
- Category changed from Vectors to 44

#2 - 2016-01-13 09:27 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"3d44e1f5454796bd49189e0319dce65b32c631ca”.

#3 - 2016-01-13 09:30 AM - Alexander Bruy
- Resolution set to fixed/implemented

#4 - 2017-05-01 01:21 AM - Giovanni Manghi
The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
